<?php
//一线印象短信写日记
include("../conn.php");
$time=time();

define('SMS_KEY',"linerss520xie"); //设置接口的密钥，防止刷会员

$smskey = isset($_POST['smskey'])?$_POST['smskey']:null;//获取密钥，判断POST接收smskey参数的密钥是否有值，有则接收，没有则定义为NULL
$phone = isset($_POST['phone'])?$_POST['phone']:null;//获取手机号码，判断POST接收phone参数的手机号码是否有值，有则接收，没有则定义为NULL
$content = isset($_REQUEST['message'])?$_REQUEST['message']:null;//获取短信内容，判断POST接收message参数的短信内容是否有值，有则接收，没有则定义为NULL

if($smskey<>SMS_KEY){//判断如果接收到的密钥不等于接口设定的密钥则
exit("0");//终止运行，并返回0
}

if(strlen($phone)<6){//判断如果接收到的手机号码是否小于6位，如果小于6为则
exit("3");//终止运行，并返回3
}



if(stripos($content,'#')){//如果短信内容包含了#符号
$content = explode('#',$content);//以#符号切割成$content数组
$zz = $content[1];//$content[0]是#符号前面的内容$content[1]是后面的，这里我们要获取后面的 作为密码
$txt=$content[2];
}elseif(stripos($content,'＃')){//否则没有包含＃符号，则检测是否有＃符号,如果有则
$content = explode('＃',$content);//以＃符号切割成$content数组
$zz = $content[1];//$content[0]是＃符号前面的内容$content[1]是后面的，这里我们要获取后面的 作为密码
$txt=$content[2];
}else{
//如果都没有，则不管
}


$user=mysql_fetch_array(mysql_query("select * from user where phone='$phone'"));
$id=$user["id"];
if($zz==1 or $zz==2){
if($user){

mysql_query("INSERT INTO diary(diarytxt,diaryzz,diarywriteid,diarytime) VALUES ('$txt', '$zz','$id','$time')");

echo "11";

}else{//否则没有这个手机的信

}
}else{

}

?>